## mod_chxj-75eabf4.zip

=== test/chxj_chtml20/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_chxj_chtml20

TOP_DIR=../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/src \
  -I$(TOP_DIR)/src/serf \
  -I$(TOP_DIR)/src/css/include

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1 $(TOP_DIR)/src/serf/.libs/libserf-0.a -lpcre $(TOP_DIR)/src/css/src/.libs/libscss.a


clean:
	rm -f ./$(TARGET)

=== test/chxj_chtml30/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_chxj_chtml30

TOP_DIR=../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/src \
  -I$(TOP_DIR)/src/serf \
  -I$(TOP_DIR)/src/css/include

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1 $(TOP_DIR)/src/serf/.libs/libserf-0.a -lpcre $(TOP_DIR)/src/css/src/.libs/libscss.a


clean:
	rm -f ./$(TARGET)

=== test/chxj_conv_z2h/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_chxj_conv_z2h

TOP_DIR=../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/src

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1


clean:
	rm -f ./$(TARGET)

=== test/chxj_css/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_chxj_css

TOP_DIR=../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/src \
  -I$(TOP_DIR)/src/serf \
  -I$(TOP_DIR)/src/css/include
  

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1 `croco-0.6-config --cflags`  `croco-0.6-config --libs` $(TOP_DIR)/src/serf/.libs/libserf-0.a -lpcre $(TOP_DIR)/src/css/src/.libs/libscss.a

clean:
	rm -f ./$(TARGET)

=== test/chxj_jhtml/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_chxj_jhtml

TOP_DIR=../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/src \
  -I$(TOP_DIR)/src/serf \
  -I$(TOP_DIR)/src/css/include

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1 $(TOP_DIR)/src/serf/.libs/libserf-0.a -lpcre $(TOP_DIR)/src/css/src/.libs/libscss.a


clean:
	rm -f ./$(TARGET)

=== test/chxj_jxhtml/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_chxj_jxhtml

TOP_DIR=../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/src \
  -I$(TOP_DIR)/src/serf \
  -I$(TOP_DIR)/src/css/include

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1 $(TOP_DIR)/src/serf/.libs/libserf-0.a -lpcre $(TOP_DIR)/src/css/src/.libs/libscss.a


clean:
	rm -f ./$(TARGET)

=== test/chxj_str_util/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_chxj_str_util

TOP_DIR=../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/src

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1 


clean:
	rm -f ./$(TARGET)

=== src/css/test/Makefile ===
all: example-1

example-1: example-1.c
	gcc -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -o example-1 example-1.c ../src/.libs/libscss.a -I../include `apr-1-config --includes` `apr-1-config --libs` -lapr-1

clean:
	rm example-1

=== src/css/test/unit/charset/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_charset

TOP_DIR=../../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/include

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1  $(TOP_DIR)/src/.libs/libscss.a


clean:
	rm -f ./$(TARGET)

=== src/css/test/unit/fontface/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_fontface

TOP_DIR=../../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/include

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1  $(TOP_DIR)/src/.libs/libscss.a


clean:
	rm -f ./$(TARGET)

=== src/css/test/unit/media/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_media

TOP_DIR=../../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/include

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1  $(TOP_DIR)/src/.libs/libscss.a


clean:
	rm -f ./$(TARGET)

=== src/css/test/unit/page/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_page

TOP_DIR=../../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/include

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1  $(TOP_DIR)/src/.libs/libscss.a


clean:
	rm -f ./$(TARGET)

=== debian/changelog ===
libapache2-mod-chxj (0.13.5-1) unstable; urgency=low

  * Fixed Bug.
    - Using a small tree-depth of 4.
      Because MagickQuantizeImage() was very slow.
      (Reported and Patched by hogenull. Thanks!)
    - Not need url_decode in jreserved_tag
      (Reported by Mr.Osanai thanks!)
  * Changed features.
    - Use Cookie if Softbank XHTML terminal.
      Because Softbank Cookie is very small size.
      (Requested by Mr.Osanai thanks!)
    - NOP wap-input-format.
      Because Softbank specification is completely stupid.
      AND BOTHER!!
      (Requested by Mr.Osanai thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Fri, 05 Aug 2011 23:22:20 +0900

libapache2-mod-chxj (0.13.4-1) unstable; urgency=low

  * Fixed Bug.
    - SEGV occurs in ImageMagick when mmap is used.
    - No adding cookie parameter if flagment only.
    - It is not possible to compile with RHEL4/CentOS4.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 04 Jul 2011 21:04:14 +0900

libapache2-mod-chxj (0.13.3-1) unstable; urgency=low

  * Fixed Bug
    - wrap-input-format --> wap-input-format
    - When CrLf is contained in the style tag, it is not read correctly.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sat, 02 Apr 2011 17:35:24 +0900

libapache2-mod-chxj (0.13.2-1) unstable; urgency=low

  * Fixed Bug
    - segv if request_conf is not created.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Fri, 25 Mar 2011 23:48:37 +0900

libapache2-mod-chxj (0.13.1-1) unstable; urgency=low

  * Internal improvement
    - Image converter
      + To use mmap as much as possible.
      + Changed to one time to expect it by two cash file reading in
        turn.
      + To delete it with htcacheclean, the extension in the cache file is
        changed to ". data".
      + When the image is converted, it changes to delete output_filter.
    - Model informational specific function
      + It changes to use the judgment result when judged once.
      + Fixed bug that ua parameter is not effective in image conversion
        processing
    - Optimization
      + It is changed that apply_convrules is uselessly called two or more
        times.
  * Fixed Bug.
    - The bug to which the dynamic image conversion is not done is changed if
      it has and [kan] is not divided and it is not assumed ChxjConvRule
      EngineOn though it is ChxjImageEngine On.
    - ''-DLIBICONV_PLUG'' is added to the compiler option.
    - Static link compulsion of libserf.
  * Added New Features.
    - Addition of EngineOn unnecessary version EmojiOnly mode

 -- Atsushi Konno <konn@users.sourceforge.jp>  Tue, 15 Mar 2011 19:20:17 +0900

libapache2-mod-chxj (0.13.0-1) unstable; urgency=low

  * Added Features.
    - CSS support by coltware _at_ gmail.com.
    - CSS support by coltware _at_ gmail.com.
    - <output_encoding> in device_data.xml.
    - load device_data from tsv.
    - rewrite mode for image converter.

 -- konno <konno@users.sourceforge.jp>  Mon, 28 Feb 2011 19:12:24 +0900

libapache2-mod-chxj (0.12.37-1) unstable; urgency=low

  * Added Features.
    - Added X-Chxj-Version header.
    - Changed Image Compression Logic.
  * Changed Features.
    - Content-Type is not seen when there is Location header.
  * Fixed Bug.
    - Cookie is deleted though it is not CookieOn.
      (Reported by isssk. Thanks!)
    - Fixed url dencode bug.
    - received SIGSEGV when connection was refused within libserf-0.2.0.
      (Reported by kamiya. Thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 15 Jun 2009 09:48:10 +0900

libapache2-mod-chxj (0.12.36-1) unstable; urgency=low

  * Added Features.
    - Added CHXJ:RAW origianl tag. this is an abbreviation of <CHXJ:IF
      lang="all">.
    - Expansion of copyright protection function. for OLD SoftBank.
    - When JRConvOff is used, a part of QSConvOff is invalidated. 
    - An extra access log was not given for temporary. 
      (use env=!chxj-post-log)
  * Changed Features.
    - Changed the behavior of Z2hOn, and so on.
  * Fixed Bug.
    - When the port number has adhered to the Host header of the request,
      Cookie might not be loaded. 
      (Reported by ippsio. Thanks!)
    - When StatusCode is 304, garbage in two bytes outputs it. 
      (Reported by isssk. Thanks!)
    - the BMP image is not converted. 
      (Reported by isssk. Thanks!)
    - Guid=ON doesn't work when the third argument of ChxjConvertRule is NONE. 
      (Reported by isssk. Thanks!)
    - Even if ChxjImageCopyright is specified, copyright information is not
      added to PNG. 
      (Reported by isssk. Thanks!)
    - The reservation parameter name of the QueryString inside of POST is
      converted though it is JRConvOff. 
      (Reported by isssk. Thanks!)
    - In the image conversion processing, when the extension is not specified,
      bmp doesn't become an object. 
      (Reported by isssk. Thanks!)
    - In the image conversion processing, when the extension is specified, the
      cache file is not made. 
      (Reported by isssk. Thanks!)
    - Dependence definition leakage of OpenSSL.
    - The error log is output if there is no data that matches to the key when
      Cookie is loaded. 
      (Reported by ippsio. Thanks!)
    - _ chxj_cc is doubly added when there is already _ chxj_cc in the
      Location header. 
      (Reported by ippsio. Thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sat, 11 Apr 2009 17:41:40 +0900

libapache2-mod-chxj (0.12.35-1) unstable; urgency=low

  * Fixed Bug. 
    - When the HTTP response code is 304, garbage in two bytes is transmitted
      as Content. 
      http://sourceforge.jp/ticket/browse.php?group_id=1608&tid=15951
      (Reported by isssk. Thanks!)
    - In the SoftBank, ``guid=on'' in A tag is deleted. 
      http://sourceforge.jp/ticket/browse.php?group_id=1608&tid=15940
      (Reported by isssk. Thanks!)
    - The BMP image is not converted.
      http://sourceforge.jp/ticket/browse.php?group_id=1608&tid=15934


=== debian/control ===
Source: libapache2-mod-chxj
Priority: optional
Maintainer: Atsushi Konno <konn@users.sourceforge.jp>
Build-Depends: debhelper (>= 5.0.42), apache2-prefork-dev(>=2.2.16-6), autoconf(>=2.67-2), automake(>=1:1.11.1-1),libapr1-dev(>=1.4.2-6), libaprutil1-dev(>=1.3.9+dfsg-5), libmagickcore-dev(>=8:6.6.0.4-3), libmagickwand-dev(>=8:6.6.0.4-3), libmysqlclient-dev(>=5.1.49-3), libssl-dev(>=0.9.8o-4), libmemcached-dev (>=0.40-1)
Standards-Version: 3.6.2
Section: libs

Package: libapache2-mod-chxj-dev
Section: libdevel
Architecture: any
Depends: libapache2-mod-chxj (= ${Source-Version})
Description: CHTML to HDML,XHTML,JHTML convert module.
  The contents conversion middleware for domestic main carrying (three careers) is made as a module for Apache2.2. UserAgent is seen when contents made with CHTML are output and it converts it into HDML, XHTML, and JHTML (The image : to JPG, GIF, JPG, GIF from PNG, and PNG and BMP). With QR code generation function. 


Package: libapache2-mod-chxj
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, apache2-mpm-prefork(>= 2.2.16-6), libapr1 (>= 1.4.2-6), libaprutil1 (>= 1.3.9+dfsg-5), libmagickwand3 (>= 8:6.6.0.4-3), libmysqlclient16 (>= 5.1.49-3), libssl0.9.8(>=0.9.8), libmemcached5(>=0.40-1)
Description: CHTML to HDML,XHTML,JHTML convert module.
  The contents conversion middleware for domestic main carrying (three careers) is made as a module for Apache2.2. UserAgent is seen when contents made with CHTML are output and it converts it into HDML, XHTML, and JHTML (The image : to JPG, GIF, JPG, GIF from PNG, and PNG and BMP). With QR code generation function.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	./configure --enable-mysql-cookie --with-mysql-header=/usr/include/mysql --with-mysql-lib-dir=/usr/lib --enable-memcache-cookie --with-memcached-header=/usr/include --with-memcached-lib-dir=/usr/lib



build: build-stamp
build-stamp:  config.status
	dh_testdir

	$(MAKE) all

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	rm -f ./config.sub && cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	rm -f ./config.guess && cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	@if test ! -L src/mod_chxj.so ; then cp src/.libs/libmod_chxj.so src/mod_chxj.so ; fi

	# Add here commands to install the package into debian/tmp
	mkdir -p \
		$(CURDIR)/debian/libapache2-mod-chxj/usr/lib/apache2/modules
	/usr/share/apache2/build/instdso.sh SH_LIBTOOL='/usr/bin/libtool' $(CURDIR)/src/mod_chxj.so \
		$(CURDIR)/debian/libapache2-mod-chxj/usr/lib/apache2/modules
	mkdir -p \
		$(CURDIR)/debian/libapache2-mod-chxj/etc/apache2/mods-available
	install -m 644 debian/chxj.load \
		$(CURDIR)/debian/libapache2-mod-chxj/etc/apache2/mods-available
	mkdir -p \
		$(CURDIR)/debian/libapache2-mod-chxj/usr/share/doc/libapache2-mod-chxj/examples
	install -m 644 etc/*.xml \
		$(CURDIR)/debian/libapache2-mod-chxj/usr/share/doc/libapache2-mod-chxj/examples
	install -m 644 doc/*.html \
		$(CURDIR)/debian/libapache2-mod-chxj/usr/share/doc/libapache2-mod-chxj


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
